declare const _default: {
    configs: {
        'base-legacy': {
            parser: string;
            plugins: string[];
            overrides: ({
                files: string[];
                parser: string;
                parserOptions: {
                    parser: string;
                };
                rules?: undefined;
            } | {
                files: string[];
                parser: string;
                parserOptions: {
                    parser: string;
                };
                rules: {
                    'no-irregular-whitespace': string;
                    'spaced-comment': string;
                };
            })[];
        };
        'recommended-legacy': {
            extends: string[];
            parserOptions: {
                ecmaVersion: number;
                sourceType: string;
                ecmaFeatures: {
                    jsx: boolean;
                };
            };
            env: {
                browser: boolean;
                es6: boolean;
            };
            rules: {
                '@intlify/vue-i18n/no-deprecated-i18n-component': string;
                '@intlify/vue-i18n/no-deprecated-i18n-place-attr': string;
                '@intlify/vue-i18n/no-deprecated-i18n-places-prop': string;
                '@intlify/vue-i18n/no-deprecated-modulo-syntax': string;
                '@intlify/vue-i18n/no-deprecated-tc': string;
                '@intlify/vue-i18n/no-deprecated-v-t': string;
                '@intlify/vue-i18n/no-html-messages': string;
                '@intlify/vue-i18n/no-i18n-t-path-prop': string;
                '@intlify/vue-i18n/no-missing-keys': string;
                '@intlify/vue-i18n/no-raw-text': string;
                '@intlify/vue-i18n/no-v-html': string;
                '@intlify/vue-i18n/valid-message-syntax': string;
            };
        };
        base: ({
            name: string;
            plugins: {
                readonly '@intlify/vue-i18n': any;
            };
            files?: undefined;
            languageOptions?: undefined;
            rules?: undefined;
        } | {
            name: string;
            files: string[];
            languageOptions: {
                parser: any;
                parserOptions: {
                    parser: any;
                };
            };
            plugins?: undefined;
            rules?: undefined;
        } | {
            name: string;
            files: string[];
            languageOptions: {
                parser: any;
                parserOptions: {
                    parser: any;
                };
            };
            rules: {
                'no-irregular-whitespace': string;
                'spaced-comment': string;
            };
            plugins?: undefined;
        })[];
        recommended: any[];
        'flat/base': ({
            name: string;
            plugins: {
                readonly '@intlify/vue-i18n': any;
            };
            files?: undefined;
            languageOptions?: undefined;
            rules?: undefined;
        } | {
            name: string;
            files: string[];
            languageOptions: {
                parser: any;
                parserOptions: {
                    parser: any;
                };
            };
            plugins?: undefined;
            rules?: undefined;
        } | {
            name: string;
            files: string[];
            languageOptions: {
                parser: any;
                parserOptions: {
                    parser: any;
                };
            };
            rules: {
                'no-irregular-whitespace': string;
                'spaced-comment': string;
            };
            plugins?: undefined;
        })[];
        'flat/recommended': any[];
    };
    rules: {
        'key-format-style': import("./types").RuleModule;
        'no-deprecated-i18n-component': import("./types").RuleModule;
        'no-deprecated-i18n-place-attr': import("./types").RuleModule;
        'no-deprecated-i18n-places-prop': import("./types").RuleModule;
        'no-deprecated-modulo-syntax': import("./types").RuleModule;
        'no-deprecated-tc': import("./types").RuleModule;
        'no-deprecated-v-t': import("./types").RuleModule;
        'no-duplicate-keys-in-locale': import("./types").RuleModule;
        'no-dynamic-keys': import("./types").RuleModule;
        'no-html-messages': import("./types").RuleModule;
        'no-i18n-t-path-prop': import("./types").RuleModule;
        'no-missing-keys-in-other-locales': import("./types").RuleModule;
        'no-missing-keys': import("./types").RuleModule;
        'no-raw-text': import("./types").RuleModule;
        'no-unknown-locale': import("./types").RuleModule;
        'no-unused-keys': import("./types").RuleModule;
        'no-v-html': import("./types").RuleModule;
        'prefer-linked-key-with-paren': import("./types").RuleModule;
        'prefer-sfc-lang-attr': import("./types").RuleModule;
        'sfc-locale-attr': import("./types").RuleModule;
        'valid-message-syntax': import("./types").RuleModule;
    };
};
export = _default;
