"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
const base_1 = __importDefault(require("./configs/base"));
const recommended_1 = __importDefault(require("./configs/recommended"));
const base_2 = __importDefault(require("./configs/flat/base"));
const recommended_2 = __importDefault(require("./configs/flat/recommended"));
const key_format_style_1 = __importDefault(require("./rules/key-format-style"));
const no_deprecated_i18n_component_1 = __importDefault(require("./rules/no-deprecated-i18n-component"));
const no_deprecated_i18n_place_attr_1 = __importDefault(require("./rules/no-deprecated-i18n-place-attr"));
const no_deprecated_i18n_places_prop_1 = __importDefault(require("./rules/no-deprecated-i18n-places-prop"));
const no_deprecated_modulo_syntax_1 = __importDefault(require("./rules/no-deprecated-modulo-syntax"));
const no_deprecated_tc_1 = __importDefault(require("./rules/no-deprecated-tc"));
const no_deprecated_v_t_1 = __importDefault(require("./rules/no-deprecated-v-t"));
const no_duplicate_keys_in_locale_1 = __importDefault(require("./rules/no-duplicate-keys-in-locale"));
const no_dynamic_keys_1 = __importDefault(require("./rules/no-dynamic-keys"));
const no_html_messages_1 = __importDefault(require("./rules/no-html-messages"));
const no_i18n_t_path_prop_1 = __importDefault(require("./rules/no-i18n-t-path-prop"));
const no_missing_keys_in_other_locales_1 = __importDefault(require("./rules/no-missing-keys-in-other-locales"));
const no_missing_keys_1 = __importDefault(require("./rules/no-missing-keys"));
const no_raw_text_1 = __importDefault(require("./rules/no-raw-text"));
const no_unknown_locale_1 = __importDefault(require("./rules/no-unknown-locale"));
const no_unused_keys_1 = __importDefault(require("./rules/no-unused-keys"));
const no_v_html_1 = __importDefault(require("./rules/no-v-html"));
const prefer_linked_key_with_paren_1 = __importDefault(require("./rules/prefer-linked-key-with-paren"));
const prefer_sfc_lang_attr_1 = __importDefault(require("./rules/prefer-sfc-lang-attr"));
const sfc_locale_attr_1 = __importDefault(require("./rules/sfc-locale-attr"));
const valid_message_syntax_1 = __importDefault(require("./rules/valid-message-syntax"));
module.exports = {
    configs: {
        'base-legacy': base_1.default,
        'recommended-legacy': recommended_1.default,
        base: base_2.default,
        recommended: recommended_2.default,
        'flat/base': base_2.default,
        'flat/recommended': recommended_2.default
    },
    rules: {
        'key-format-style': key_format_style_1.default,
        'no-deprecated-i18n-component': no_deprecated_i18n_component_1.default,
        'no-deprecated-i18n-place-attr': no_deprecated_i18n_place_attr_1.default,
        'no-deprecated-i18n-places-prop': no_deprecated_i18n_places_prop_1.default,
        'no-deprecated-modulo-syntax': no_deprecated_modulo_syntax_1.default,
        'no-deprecated-tc': no_deprecated_tc_1.default,
        'no-deprecated-v-t': no_deprecated_v_t_1.default,
        'no-duplicate-keys-in-locale': no_duplicate_keys_in_locale_1.default,
        'no-dynamic-keys': no_dynamic_keys_1.default,
        'no-html-messages': no_html_messages_1.default,
        'no-i18n-t-path-prop': no_i18n_t_path_prop_1.default,
        'no-missing-keys-in-other-locales': no_missing_keys_in_other_locales_1.default,
        'no-missing-keys': no_missing_keys_1.default,
        'no-raw-text': no_raw_text_1.default,
        'no-unknown-locale': no_unknown_locale_1.default,
        'no-unused-keys': no_unused_keys_1.default,
        'no-v-html': no_v_html_1.default,
        'prefer-linked-key-with-paren': prefer_linked_key_with_paren_1.default,
        'prefer-sfc-lang-attr': prefer_sfc_lang_attr_1.default,
        'sfc-locale-attr': sfc_locale_attr_1.default,
        'valid-message-syntax': valid_message_syntax_1.default
    }
};
